org.jboss.resteasy.skeleton.key

## Class RealmConfiguration

- java.lang.Object
- - org.jboss.resteasy.skeleton.key.RealmConfiguration

-     public class RealmConfiguration
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected UriBuilder` | `authUrl`
    `protected ResteasyClient` | `client`
    `protected String` | `clientId`
    `protected ResteasyWebTarget` | `codeUrl`
    `protected Form` | `credentials`
    `protected ResourceMetadata` | `metadata`
    `protected boolean` | `sslRequired`
    `protected String` | `stateCookieName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealmConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `UriBuilder` | `getAuthUrl()`
    `ResteasyClient` | `getClient()`
    `String` | `getClientId()`
    `ResteasyWebTarget` | `getCodeUrl()`
    `Form` | `getCredentials()`
    `ResourceMetadata` | `getMetadata()`
    `String` | `getStateCookieName()`
    `boolean` | `isSslRequired()`
    `void` | `setAuthUrl(UriBuilder authUrl)`
    `void` | `setClient(ResteasyClient client)`
    `void` | `setClientId(String clientId)`
    `void` | `setCodeUrl(ResteasyWebTarget codeUrl)`
    `void` | `setMetadata(ResourceMetadata metadata)`
    `void` | `setSslRequired(boolean sslRequired)`
    `void` | `setStateCookieName(String stateCookieName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### metadata

          protected ResourceMetadata metadata

    - #### client

          protected ResteasyClient client

    - #### authUrl

          protected UriBuilder authUrl

    - #### codeUrl

          protected ResteasyWebTarget codeUrl

    - #### clientId

          protected String clientId

    - #### credentials

          protected Form credentials

    - #### sslRequired

          protected boolean sslRequired

    - #### stateCookieName

          protected String stateCookieName

  - ### Constructor Detail

    - #### RealmConfiguration

          public RealmConfiguration()

  - ### Method Detail

    - #### getMetadata

          public ResourceMetadata getMetadata()

    - #### setMetadata

          public void setMetadata(ResourceMetadata metadata)

    - #### getClient

          public ResteasyClient getClient()

    - #### setClient

          public void setClient(ResteasyClient client)

    - #### getAuthUrl

          public UriBuilder getAuthUrl()

    - #### setAuthUrl

          public void setAuthUrl(UriBuilder authUrl)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getCredentials

          public Form getCredentials()

    - #### getCodeUrl

          public ResteasyWebTarget getCodeUrl()

    - #### setCodeUrl

          public void setCodeUrl(ResteasyWebTarget codeUrl)

    - #### isSslRequired

          public boolean isSslRequired()

    - #### setSslRequired

          public void setSslRequired(boolean sslRequired)

    - #### getStateCookieName

          public String getStateCookieName()

    - #### setStateCookieName

          public void setStateCookieName(String stateCookieName)

Copyright © 2014. All Rights Reserved.